Changeset 1411


Ignore:
Timestamp:
Aug 8, 2009 11:48:28 AM (10 years ago)
Author:
forrest
Message:

allow lapack and blas

Location:
trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure

    r1220 r1411  
    474474#endif"
    475475
     476ac_subdirs_all="$ac_subdirs_all ThirdParty/Blas"
     477ac_subdirs_all="$ac_subdirs_all ThirdParty/Lapack"
    476478ac_subdirs_all="$ac_subdirs_all CoinUtils"
    477 ac_subdirs_all="$ac_subdirs_all Data/Netlib"
    478479ac_subdirs_all="$ac_subdirs_all Data/Sample"
    479480ac_subdirs_all="$ac_subdirs_all Clp"
    480 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS COIN_SKIP_PROJECTS subdirs LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
     481ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 FFLAGS ac_ct_F77 MPIF77 EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS subdirs COIN_SKIP_PROJECTS LIBEXT VPATH_DISTCLEANFILES LIBOBJS LTLIBOBJS'
    481482ac_subst_files=''
    482483
     
    26472648        coin_add_cflags="-pipe"
    26482649        coin_dbg_cflags="-g"
    2649         coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
     2650        coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas"
     2651        case $build in
     2652          *-darwin*)
     2653            ;;
     2654          *)
     2655            coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
     2656            ;;
     2657        esac
    26502658        case $enable_doscompile in
    26512659          mingw)
     
    27202728        case "$CC" in
    27212729          icc* | */icc*)
    2722             coin_opt_cflags="-O3 -ip"
     2730            coin_opt_cflags="-O3 -ip -mp1"
    27232731            coin_add_cflags=""
    27242732            coin_dbg_cflags="-g"
     
    30773085             fi ;;
    30783086  *-*-solaris*)
    3079              comps="CC xlC aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3087             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30803088  *-darwin*) comps="g++ c++ CC" ;;
    3081           *) comps="xlC aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3089          *) comps="xlC_r aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30823090esac
    30833091
     
    34413449ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    34423450
    3443 if test -z "$CXX" ; then
    3444   { { echo "$as_me:$LINENO: error: Failed to find a C++ compiler!" >&5
    3445 echo "$as_me: error: Failed to find a C++ compiler!" >&2;}
     3451
     3452#AC_PROG_CXX sets CXX to g++ if it cannot find a working C++ compiler
     3453#thus, we test here whether $CXX is actually working
     3454ac_ext=cc
     3455ac_cpp='$CXXCPP $CPPFLAGS'
     3456ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3457ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3458ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3459
     3460echo "$as_me:$LINENO: checking whether C++ compiler $CXX works" >&5
     3461echo $ECHO_N "checking whether C++ compiler $CXX works... $ECHO_C" >&6;
     3462cat >conftest.$ac_ext <<_ACEOF
     3463/* confdefs.h.  */
     3464_ACEOF
     3465cat confdefs.h >>conftest.$ac_ext
     3466cat >>conftest.$ac_ext <<_ACEOF
     3467/* end confdefs.h.  */
     3468
     3469int
     3470main ()
     3471{
     3472int i=0;
     3473  ;
     3474  return 0;
     3475}
     3476_ACEOF
     3477rm -f conftest.$ac_objext
     3478if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3479  (eval $ac_compile) 2>conftest.er1
     3480  ac_status=$?
     3481  grep -v '^ *+' conftest.er1 >conftest.err
     3482  rm -f conftest.er1
     3483  cat conftest.err >&5
     3484  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3485  (exit $ac_status); } &&
     3486         { ac_try='test -z "$ac_cxx_werror_flag"
     3487                         || test ! -s conftest.err'
     3488  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3489  (eval $ac_try) 2>&5
     3490  ac_status=$?
     3491  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3492  (exit $ac_status); }; } &&
     3493         { ac_try='test -s conftest.$ac_objext'
     3494  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3495  (eval $ac_try) 2>&5
     3496  ac_status=$?
     3497  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3498  (exit $ac_status); }; }; then
     3499  echo "$as_me:$LINENO: result: yes" >&5
     3500echo "${ECHO_T}yes" >&6
     3501else
     3502  echo "$as_me: failed program was:" >&5
     3503sed 's/^/| /' conftest.$ac_ext >&5
     3504
     3505echo "$as_me:$LINENO: result: no" >&5
     3506echo "${ECHO_T}no" >&6
     3507   { { echo "$as_me:$LINENO: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&5
     3508echo "$as_me: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&2;}
    34463509   { (exit 1); exit 1; }; }
    3447 fi
     3510
     3511fi
     3512rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3513ac_ext=cc
     3514ac_cpp='$CXXCPP $CPPFLAGS'
     3515ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3516ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3517ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3518
    34483519
    34493520# It seems that we need to cleanup something here for the Windows
     
    34913562        coin_add_cxxflags="-pipe"
    34923563        coin_dbg_cxxflags="-g"
    3493         coin_warn_cxxflags="-pedantic-errors -Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion"
    3494         case $enable_doscompile in
    3495           mingw)
    3496             CXXFLAGS="-mno-cygwin"
    3497             cat >conftest.$ac_ext <<_ACEOF
     3564        coin_warn_cxxflags="-Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion -Wno-unknown-pragmas"
     3565        case $build in
     3566          *-darwin*)
     3567            ;;
     3568          *)
     3569            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
     3570            ;;
     3571        esac
     3572
     3573        case $enable_doscompile in
     3574          mingw)
     3575            CXXFLAGS="-mno-cygwin"
     3576            cat >conftest.$ac_ext <<_ACEOF
    34983577/* confdefs.h.  */
    34993578_ACEOF
     
    35403619rm -f conftest.err conftest.$ac_objext \
    35413620      conftest$ac_exeext conftest.$ac_ext
    3542             CXXFLAGS=
    3543             ;;
    3544         esac
     3621            CXXFLAGS=
     3622          ;;
     3623        esac
    35453624    esac
    35463625  fi
     
    35693648        case "$CXX" in
    35703649          icpc* | */icpc*)
    3571             coin_opt_cxxflags="-O3 -ip"
     3650            coin_opt_cxxflags="-O3 -ip -mp1"
    35723651            coin_add_cxxflags=""
    35733652            coin_dbg_cxxflags="-g"
     
    36323711          xlC* | */xlC* | mpxlC* | */mpxlC*)
    36333712            coin_opt_cxxflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3634             coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029"
     3713            coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029 -qsourcetype=c++"
    36353714            coin_dbg_cxxflags="-g"
    36363715            ;;
     
    39113990     fi ;;
    39123991  *-*-solaris*)
    3913      coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    3914   *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     3992     coin_f77_comps="f95 f90 f77 xlf_r fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
     3993  *) coin_f77_comps="xlf_r fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    39153994 esac
    39163995
     
    40834162
    40844163# Provide some information about the compiler.
    4085 echo "$as_me:4085:" \
     4164echo "$as_me:4164:" \
    40864165     "checking for Fortran 77 compiler version" >&5
    40874166ac_compiler=`set X $ac_compile; echo $2`
     
    42984377        case $F77 in
    42994378          ifort* | */ifort* | IFORT* | */IFORT* )
    4300             coin_opt_fflags='-O3'
    4301             coin_add_fflags='-fpp -nologo -MT'
    4302             coin_dbg_fflags='-debug'
     4379            coin_opt_fflags='-MT -O3'
     4380            coin_add_fflags='-fpp -nologo'
     4381            coin_dbg_fflags='-MTd -debug'
    43034382          ;;
    43044383          compile_f2c*)
     
    63426421*-*-irix6*)
    63436422  # Find out which ABI we are using.
    6344   echo '#line 6344 "configure"' > conftest.$ac_ext
     6423  echo '#line 6423 "configure"' > conftest.$ac_ext
    63456424  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63466425  (eval $ac_compile) 2>&5
     
    83068385   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83078386   -e 's:$: $lt_compiler_flag:'`
    8308    (eval echo "\"\$as_me:8308: $lt_compile\"" >&5)
     8387   (eval echo "\"\$as_me:8387: $lt_compile\"" >&5)
    83098388   (eval "$lt_compile" 2>conftest.err)
    83108389   ac_status=$?
    83118390   cat conftest.err >&5
    8312    echo "$as_me:8312: \$? = $ac_status" >&5
     8391   echo "$as_me:8391: \$? = $ac_status" >&5
    83138392   if (exit $ac_status) && test -s "$ac_outfile"; then
    83148393     # The compiler can only warn and ignore the option if not recognized
     
    85748653   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85758654   -e 's:$: $lt_compiler_flag:'`
    8576    (eval echo "\"\$as_me:8576: $lt_compile\"" >&5)
     8655   (eval echo "\"\$as_me:8655: $lt_compile\"" >&5)
    85778656   (eval "$lt_compile" 2>conftest.err)
    85788657   ac_status=$?
    85798658   cat conftest.err >&5
    8580    echo "$as_me:8580: \$? = $ac_status" >&5
     8659   echo "$as_me:8659: \$? = $ac_status" >&5
    85818660   if (exit $ac_status) && test -s "$ac_outfile"; then
    85828661     # The compiler can only warn and ignore the option if not recognized
     
    86788757   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86798758   -e 's:$: $lt_compiler_flag:'`
    8680    (eval echo "\"\$as_me:8680: $lt_compile\"" >&5)
     8759   (eval echo "\"\$as_me:8759: $lt_compile\"" >&5)
    86818760   (eval "$lt_compile" 2>out/conftest.err)
    86828761   ac_status=$?
    86838762   cat out/conftest.err >&5
    8684    echo "$as_me:8684: \$? = $ac_status" >&5
     8763   echo "$as_me:8763: \$? = $ac_status" >&5
    86858764   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86868765   then
     
    1102311102  lt_status=$lt_dlunknown
    1102411103  cat > conftest.$ac_ext <<EOF
    11025 #line 11025 "configure"
     11104#line 11104 "configure"
    1102611105#include "confdefs.h"
    1102711106
     
    1112311202  lt_status=$lt_dlunknown
    1112411203  cat > conftest.$ac_ext <<EOF
    11125 #line 11125 "configure"
     11204#line 11204 "configure"
    1112611205#include "confdefs.h"
    1112711206
     
    1346713546   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1346813547   -e 's:$: $lt_compiler_flag:'`
    13469    (eval echo "\"\$as_me:13469: $lt_compile\"" >&5)
     13548   (eval echo "\"\$as_me:13548: $lt_compile\"" >&5)
    1347013549   (eval "$lt_compile" 2>conftest.err)
    1347113550   ac_status=$?
    1347213551   cat conftest.err >&5
    13473    echo "$as_me:13473: \$? = $ac_status" >&5
     13552   echo "$as_me:13552: \$? = $ac_status" >&5
    1347413553   if (exit $ac_status) && test -s "$ac_outfile"; then
    1347513554     # The compiler can only warn and ignore the option if not recognized
     
    1357113650   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1357213651   -e 's:$: $lt_compiler_flag:'`
    13573    (eval echo "\"\$as_me:13573: $lt_compile\"" >&5)
     13652   (eval echo "\"\$as_me:13652: $lt_compile\"" >&5)
    1357413653   (eval "$lt_compile" 2>out/conftest.err)
    1357513654   ac_status=$?
    1357613655   cat out/conftest.err >&5
    13577    echo "$as_me:13577: \$? = $ac_status" >&5
     13656   echo "$as_me:13656: \$? = $ac_status" >&5
    1357813657   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1357913658   then
     
    1514115220   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1514215221   -e 's:$: $lt_compiler_flag:'`
    15143    (eval echo "\"\$as_me:15143: $lt_compile\"" >&5)
     15222   (eval echo "\"\$as_me:15222: $lt_compile\"" >&5)
    1514415223   (eval "$lt_compile" 2>conftest.err)
    1514515224   ac_status=$?
    1514615225   cat conftest.err >&5
    15147    echo "$as_me:15147: \$? = $ac_status" >&5
     15226   echo "$as_me:15226: \$? = $ac_status" >&5
    1514815227   if (exit $ac_status) && test -s "$ac_outfile"; then
    1514915228     # The compiler can only warn and ignore the option if not recognized
     
    1524515324   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1524615325   -e 's:$: $lt_compiler_flag:'`
    15247    (eval echo "\"\$as_me:15247: $lt_compile\"" >&5)
     15326   (eval echo "\"\$as_me:15326: $lt_compile\"" >&5)
    1524815327   (eval "$lt_compile" 2>out/conftest.err)
    1524915328   ac_status=$?
    1525015329   cat out/conftest.err >&5
    15251    echo "$as_me:15251: \$? = $ac_status" >&5
     15330   echo "$as_me:15330: \$? = $ac_status" >&5
    1525215331   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1525315332   then
     
    1745217531   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1745317532   -e 's:$: $lt_compiler_flag:'`
    17454    (eval echo "\"\$as_me:17454: $lt_compile\"" >&5)
     17533   (eval echo "\"\$as_me:17533: $lt_compile\"" >&5)
    1745517534   (eval "$lt_compile" 2>conftest.err)
    1745617535   ac_status=$?
    1745717536   cat conftest.err >&5
    17458    echo "$as_me:17458: \$? = $ac_status" >&5
     17537   echo "$as_me:17537: \$? = $ac_status" >&5
    1745917538   if (exit $ac_status) && test -s "$ac_outfile"; then
    1746017539     # The compiler can only warn and ignore the option if not recognized
     
    1772017799   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1772117800   -e 's:$: $lt_compiler_flag:'`
    17722    (eval echo "\"\$as_me:17722: $lt_compile\"" >&5)
     17801   (eval echo "\"\$as_me:17801: $lt_compile\"" >&5)
    1772317802   (eval "$lt_compile" 2>conftest.err)
    1772417803   ac_status=$?
    1772517804   cat conftest.err >&5
    17726    echo "$as_me:17726: \$? = $ac_status" >&5
     17805   echo "$as_me:17805: \$? = $ac_status" >&5
    1772717806   if (exit $ac_status) && test -s "$ac_outfile"; then
    1772817807     # The compiler can only warn and ignore the option if not recognized
     
    1782417903   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1782517904   -e 's:$: $lt_compiler_flag:'`
    17826    (eval echo "\"\$as_me:17826: $lt_compile\"" >&5)
     17905   (eval echo "\"\$as_me:17905: $lt_compile\"" >&5)
    1782717906   (eval "$lt_compile" 2>out/conftest.err)
    1782817907   ac_status=$?
    1782917908   cat out/conftest.err >&5
    17830    echo "$as_me:17830: \$? = $ac_status" >&5
     17909   echo "$as_me:17909: \$? = $ac_status" >&5
    1783117910   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1783217911   then
     
    2071620795
    2071720796#############################################################################
     20797#             Check which ThirdParty sources are available                  #
     20798#############################################################################
     20799
     20800echo "$as_me:$LINENO: checking whether code for third party package Blas is available" >&5
     20801echo $ECHO_N "checking whether code for third party package Blas is available... $ECHO_C" >&6
     20802coin_skip=no
     20803if test x"$COIN_SKIP_PROJECTS" != x; then
     20804  for dir in $COIN_SKIP_PROJECTS; do
     20805    if test $dir = ThirdParty/Blas; then
     20806      coin_skip=yes
     20807    fi
     20808  done
     20809fi
     20810if test $coin_skip = yes; then
     20811  echo "$as_me:$LINENO: result: skipping" >&5
     20812echo "${ECHO_T}skipping" >&6
     20813else
     20814  coin_tmp=`echo $srcdir/ThirdParty/Blas/daxpy.f`
     20815  # There is probably a more elegant way to get the first thing out here...
     20816  for i in $coin_tmp; do
     20817    coin_tmp2=$i
     20818    #break 1
     20819  done
     20820  if test -r $coin_tmp2; then
     20821    coin_subdirs="$coin_subdirs ThirdParty/Blas"
     20822    echo "$as_me:$LINENO: result: yes" >&5
     20823echo "${ECHO_T}yes" >&6
     20824
     20825
     20826subdirs="$subdirs ThirdParty/Blas"
     20827
     20828  else
     20829    echo "$as_me:$LINENO: result: no" >&5
     20830echo "${ECHO_T}no" >&6
     20831  fi
     20832fi
     20833
     20834echo "$as_me:$LINENO: checking whether code for third party package Lapack is available" >&5
     20835echo $ECHO_N "checking whether code for third party package Lapack is available... $ECHO_C" >&6
     20836coin_skip=no
     20837if test x"$COIN_SKIP_PROJECTS" != x; then
     20838  for dir in $COIN_SKIP_PROJECTS; do
     20839    if test $dir = ThirdParty/Lapack; then
     20840      coin_skip=yes
     20841    fi
     20842  done
     20843fi
     20844if test $coin_skip = yes; then
     20845  echo "$as_me:$LINENO: result: skipping" >&5
     20846echo "${ECHO_T}skipping" >&6
     20847else
     20848  coin_tmp=`echo $srcdir/ThirdParty/Lapack/LAPACK/SRC/dlarf.f`
     20849  # There is probably a more elegant way to get the first thing out here...
     20850  for i in $coin_tmp; do
     20851    coin_tmp2=$i
     20852    #break 1
     20853  done
     20854  if test -r $coin_tmp2; then
     20855    coin_subdirs="$coin_subdirs ThirdParty/Lapack"
     20856    echo "$as_me:$LINENO: result: yes" >&5
     20857echo "${ECHO_T}yes" >&6
     20858
     20859
     20860subdirs="$subdirs ThirdParty/Lapack"
     20861
     20862  else
     20863    echo "$as_me:$LINENO: result: no" >&5
     20864echo "${ECHO_T}no" >&6
     20865  fi
     20866fi
     20867
     20868
     20869#############################################################################
    2071820870#                  Check which subprojects are there                        #
    2071920871#############################################################################
     
    2074120893
    2074220894subdirs="$subdirs CoinUtils"
    20743 
    20744                 else
    20745                   echo "$as_me:$LINENO: result: no" >&5
    20746 echo "${ECHO_T}no" >&6
    20747                 fi
    20748 
    20749 
    20750 
    20751 
    20752 
    20753 
    20754 
    20755 
    20756 
    20757 
    20758 
    20759 
    20760 
    20761 echo "$as_me:$LINENO: checking whether directory Data/Netlib is available" >&5
    20762 echo $ECHO_N "checking whether directory Data/Netlib is available... $ECHO_C" >&6
    20763                 coin_skip=no
    20764                 if test x"$COIN_SKIP_PROJECTS" != x; then
    20765                   for dir in $COIN_SKIP_PROJECTS; do
    20766                     if test $dir = Data/Netlib; then
    20767                       coin_skip=yes
    20768                     fi
    20769                   done
    20770                 fi
    20771                 if test $coin_skip = yes; then
    20772                   echo "$as_me:$LINENO: result: skipping" >&5
    20773 echo "${ECHO_T}skipping" >&6
    20774                 elif test -r $srcdir/Data/Netlib/configure; then
    20775                   coin_subdirs="$coin_subdirs Data/Netlib"
    20776                   echo "$as_me:$LINENO: result: yes" >&5
    20777 echo "${ECHO_T}yes" >&6
    20778 
    20779 
    20780 subdirs="$subdirs Data/Netlib"
    2078120895
    2078220896                else
     
    2172021834s,@RPATH_FLAGS@,$RPATH_FLAGS,;t t
    2172121835s,@LT_LDFLAGS@,$LT_LDFLAGS,;t t
     21836s,@subdirs@,$subdirs,;t t
    2172221837s,@COIN_SKIP_PROJECTS@,$COIN_SKIP_PROJECTS,;t t
    21723 s,@subdirs@,$subdirs,;t t
    2172421838s,@LIBEXT@,$LIBEXT,;t t
    2172521839s,@VPATH_DISTCLEANFILES@,$VPATH_DISTCLEANFILES,;t t
  • trunk/configure.ac

    r1220 r1411  
    4040
    4141#############################################################################
     42#             Check which ThirdParty sources are available                  #
     43#############################################################################
     44
     45AC_COIN_THIRDPARTY_SUBDIRS([Blas],[ThirdParty/Blas],[daxpy.f])
     46AC_COIN_THIRDPARTY_SUBDIRS([Lapack],[ThirdParty/Lapack],[LAPACK/SRC/dlarf.f])
     47
     48#############################################################################
    4249#                  Check which subprojects are there                        #
    4350#############################################################################
    4451
    4552AC_COIN_MAIN_SUBDIRS(CoinUtils)
    46 AC_COIN_MAIN_SUBDIRS(Data/Netlib)
    4753AC_COIN_MAIN_SUBDIRS(Data/Sample)
    4854AC_COIN_MAIN_SUBDIRS(Clp)
Note: See TracChangeset for help on using the changeset viewer.